/* $Id: dynloader.h,v 1.10 1998/12/05 06:24:48 ajc Exp $ */
struct DLModule_Info
{
   char *module_name;
   char *module_author;
   char *module_author_email;
   int major_version, minor_version;
};

void DLoader_Init(char *pathname);
int DLoader_Exec_Cmd(char *cmdbuf);
void CtdlRegisterLogHook(void (*fcn_ptr)(char *), int loglevel);
void CtdlRegisterCleanupHook(void (*fcn_ptr)(void));
void CtdlRegisterSessionHook(void (*fcn_ptr)(void), int EventType);
void PerformLogHooks(int loglevel, char *logmsg);
void PerformSessionHooks(int EventType);
void PerformUserHooks(char *username, long usernum, int EventType);
void CtdlRegisterProtoHook(void (*handler)(char *), char *cmd, char *desc);
void CtdlRegisterUserHook(void (*fcn_ptr)(char*, long), int EventType);
struct DLModule_Info *Dynamic_Module_Init(void);
